### Function Macro

# Camel CHECK_LOCAL_GERROR

since: 3.12

#### Declaration [src]

    #define CAMEL_CHECK_LOCAL_GERROR (
      object,
      method,
      expr,
      error
    )

#### Description [src]

Same as CAMEL_CHECK_GERROR, but for direct `GError` pointers.

Example:

    success = class->foo (object, some_data, &local_error);
    CAMEL_CHECK_LOCAL_GERROR (object, foo, success, local_error);
    return success;.

Available since: 3.12

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `-`

  A `GObject` descendant.

`method`

  Type: `-`

  A method which was run.

`expr`

  Type: `-`

  An expression to test, which evaluates to `TRUE` or `FALSE`.

`error`

  Type: `-`

  A pointer to a `GError`, set by the `method`.